Request
Endpoint: !UpdateUserEvClickThrough
https://secure.trust-provider.com/products/!UpdateUserEvClickThrough
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
|
required |
string |
100 chars |
The allowed values are:
|
|
required |
string |
128 chars |
The order number of a certificate for which a click-through is required. |
|
conditional |
string |
255 chars |
User’s email address. This parameter is required for the |
Sample request
curl --location 'https://secure.trust-provider.com/products/!UpdateUserEvClickThrough' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'action=ResendEmail' \
--data-urlencode 'orderNumber=order_number'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
The numeric code indicating the result of the request. For more information, see Error codes. |
|
The explanation of the error. |
|
The result of the action. |
|
The description of the status code. The possible values for each status code are as follows:
|
Error codes
The following table outlines error responses returned by the UpdateUserEvClickThrough API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user does not have permission for the requested context. |
|
|
The request method should be |
|
|
There are errors related to this specific order. More information will be provided in the |